summaryrefslogtreecommitdiffstats
path: root/source/d/git/git.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/git/git.SlackBuild')
-rwxr-xr-xsource/d/git/git.SlackBuild16
1 files changed, 14 insertions, 2 deletions
diff --git a/source/d/git/git.SlackBuild b/source/d/git/git.SlackBuild
index 2c7ab2f51..c5d011f8d 100755
--- a/source/d/git/git.SlackBuild
+++ b/source/d/git/git.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2016, 2018, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2016, 2018, 2020, 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=git
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -119,6 +119,18 @@ make \
install-doc \
DESTDIR=$PKG || exit 1
+# Add git-subtree:
+make -C contrib/subtree \
+ prefix=/usr \
+ mandir=/usr/man \
+ "CFLAGS=$SLKCFLAGS" \
+ INSTALLDIRS=vendor \
+ ASCIIDOC8=YesPlease \
+ USE_LIBPCRE2=YesPlease \
+ install \
+ install-doc \
+ DESTDIR=$PKG || exit 1
+
mv $PKG/usr/share/man/man3 $PKG/usr/man
rmdir $PKG/usr/share/man